PrefabFiles = {
    "wintertree",
	"ornament_light",
}

Assets = {
	Asset("IMAGE", "images/inventoryimages/wintertree.tex" ),
    Asset("ATLAS", "images/inventoryimages/wintertree.xml"),
	Asset("IMAGE", "images/inventoryimages/ornament_light.tex" ),
	Asset("ATLAS", "images/inventoryimages/ornament_light.xml"),
}

GLOBAL.setmetatable(env,{__index = function (t,k) return GLOBAL.rawget(GLOBAL,k) end,})

STRINGS.NAMES.WINTERTREE = "Wintertree"
STRINGS.RECIPE_DESC.WINTERTREE = "Wintertree with flashing lights"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.WINTERTREE = "What a beautiful sparkling tree"

STRINGS.NAMES.ORNAMENT_LIGHT = "Ornament light"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.ORNAMENT_LIGHT = "Something that glitters"


    local  wintertreerog = Recipe("wintertree",  {Ingredient("transistor", 1), Ingredient("ornament_light", 8,"images/inventoryimages/ornament_light.xml"), Ingredient("livinglog",3)},
	            RECIPETABS.SCIENCE,  TECH.SCIENCE_TWO ,RECIPE_GAME_TYPE.ROG, "wintertree_placer",3.5  )
           wintertreerog.atlas    = "images/inventoryimages/wintertree.xml"
		   
	local  wintertreesw = Recipe("wintertree",  {Ingredient("transistor", 1), Ingredient("ornament_light", 8,"images/inventoryimages/ornament_light.xml"), Ingredient("livinglog",3)},
	            RECIPETABS.SCIENCE,  TECH.SCIENCE_TWO ,RECIPE_GAME_TYPE.SHIPWRECKED, "wintertree_placer",3.5 )
           wintertreesw.atlas    = "images/inventoryimages/wintertree.xml"
		   
	local  wintertreeham = Recipe("wintertree",  {Ingredient("transistor", 1), Ingredient("ornament_light",8,"images/inventoryimages/ornament_light.xml"), Ingredient("livinglog",3)},
	            RECIPETABS.SCIENCE,  TECH.SCIENCE_TWO ,RECIPE_GAME_TYPE.PORKLAND, "wintertree_placer" ,3.5 )
           wintertreeham.atlas    = "images/inventoryimages/wintertree.xml"
	
AddMinimapAtlas("images/inventoryimages/wintertree.xml")
 
  
local function AddCLoot1(inst)
    inst.components.lootdropper:AddChanceLoot("ornament_light",1)
	inst.components.lootdropper:AddChanceLoot("ornament_light",0.5)
	inst.components.lootdropper:AddChanceLoot("ornament_light",0.5)
end

local biology1 = {
--rog
"warg",
"leif",
"deciduoustree",
"spiderqueen",
"minotaur",
"moose",
"dragonfly",
"bearger",
"deerclops",
--sw
"treeguard",
"kraken",
"twister",
"tigershark",
--ham
"python",
"ancient_herald",
"antqueen",
}

for k,v1 in pairs(biology1) do
AddPrefabPostInit(v1, AddCLoot1)
end


 local function AddCLoot2(inst)
	inst.components.lootdropper:AddChanceLoot("ornament_light",0.33)
end

local biology2 = {

"krampus",
"crawlingnightmare",
"nightmarebeak",
"swimminghorror",
"crocodog",
"poisoncrocodog",
"watercrocodog",
"hound",
"firehound",
"icehound",
}

for k,v2 in pairs(biology2) do
AddPrefabPostInit(v2, AddCLoot2)
end
 
 
 